#include <avr/io.h>

#include "lights.h"

void init_gpio()
{
	PORTB &=~ (_BV(PB0) | _BV(PB2) | _BV(PB4) | _BV(PB6));
	DDRB |=    _BV(PB0) | _BV(PB2) | _BV(PB4) | _BV(PB6);
}

void susp_gpio()
{
	PORTB &= ~(_BV(PB0) | _BV(PB2) | _BV(PB4) | _BV(PB6));
	DDRB |=    _BV(PB0) | _BV(PB2) | _BV(PB4) | _BV(PB6);
}

void gpio_set(unsigned char n, unsigned char on)
{
	if (on) {
		switch(n) {
		case 0: PORTB |= _BV(PB0); break;
		case 1: PORTB |= _BV(PB2); break;
		case 2: PORTB |= _BV(PB4); break;
		case 3: PORTB |= _BV(PB6); break;
		}
	} else {
		switch(n) {
		case 0: PORTB &= ~_BV(PB0); break;
		case 1: PORTB &= ~_BV(PB2); break;
		case 2: PORTB &= ~_BV(PB4); break;
		case 3: PORTB &= ~_BV(PB6); break;
		}
	}
}

